# Uses of Class
org.apache.lucene.codecs.uniformsplit.BlockLine

Packages that use BlockLine
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of BlockLine in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as BlockLine
  Modifier and Type
  Field
  Description
  `protected BlockLine`
  BlockReader.`blockLine`
  Current block line.
  `protected BlockLine`
  BlockReader.`scratchBlockLine`
  Fields in org.apache.lucene.codecs.uniformsplit with type parameters of type BlockLine
  Modifier and Type
  Field
  Description
  `protected final List<BlockLine>`
  BlockWriter.`blockLines`
  Methods in org.apache.lucene.codecs.uniformsplit that return BlockLine
  Modifier and Type
  Method
  Description
  `BlockLine`
  BlockLine.Serializer.`readLine(DataInput blockInput, boolean isIncrementalEncodingSeed, BlockLine reuse)`
  Reads the current line.
  `protected BlockLine`
  BlockReader.`readLineInBlock()`
  Reads the current block line.
  `protected BlockLine`
  BlockLine.`reset(TermBytes termBytes, int termStateRelativeOffset)`
  Resets this `BlockLine` to reuse it when reading.
  Methods in org.apache.lucene.codecs.uniformsplit with parameters of type BlockLine
  Modifier and Type
  Method
  Description
  `BlockLine`
  BlockLine.Serializer.`readLine(DataInput blockInput, boolean isIncrementalEncodingSeed, BlockLine reuse)`
  Reads the current line.
  `protected void`
  BlockWriter.`writeBlockLine(boolean isIncrementalEncodingSeed, BlockLine line, BlockLine previousLine)`
  `void`
  BlockLine.Serializer.`writeLine(DataOutput blockOutput, BlockLine line, BlockLine previousLine, int termStateRelativeOffset, boolean isIncrementalEncodingSeed)`
  Writes a line and its offset to the corresponding term state details in the details region.
  `protected void`
  BlockLine.Serializer.`writeLineTermState(DataOutput termStatesOutput, BlockLine line, FieldInfo fieldInfo, DeltaBaseTermStateSerializer encoder)`
  Writes the term state details of a line in the details region.
  Method parameters in org.apache.lucene.codecs.uniformsplit with type arguments of type BlockLine
  Modifier and Type
  Method
  Description
  `protected void`
  BlockWriter.`addBlockKey(List<BlockLine> blockLines, IndexDictionary.Builder dictionaryBuilder)`
  Adds a new block key with its corresponding block file pointer to the `IndexDictionary.Builder` .
  `protected void`
  BlockWriter.`writeBlock(List<BlockLine> blockLines, IndexDictionary.Builder dictionaryBuilder)`
  Writes a block and adds its block key to the dictionary builder.

- ## Uses of BlockLine in org.apache.lucene.codecs.uniformsplit.sharedterms

  Subclasses of BlockLine in org.apache.lucene.codecs.uniformsplit.sharedterms
  Modifier and Type
  Class
  Description
  `class`
  `STBlockLine`
  Represents a term and its details stored in the `BlockTermState`.
  Methods in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type BlockLine
  Modifier and Type
  Method
  Description
  `protected void`
  STBlockWriter.`writeBlockLine(boolean isIncrementalEncodingSeed, BlockLine line, BlockLine previousLine)`